de.dhbwstuttgart.parser

## Class InterfaceAndParameter

- java.lang.Object
- - de.dhbwstuttgart.parser.InterfaceAndParameter

-     public class InterfaceAndParameter
      extends java.lang.Object

  Hilfskonstrukt, um die Grammatik fuer einen Interfaceheader ueberschaubar zu halten. Interface und optionale Generics werden hiermit kombiniert und sofort nach dem Parsen in der Klasse Interface zueruck aufgeloest.
  Author:
    HOTI

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `name`
    `private ParaList` | `plist`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterfaceAndParameter(java.lang.String name)`
    `InterfaceAndParameter(java.lang.String name, ParaList plist)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `ParaList` | `getParalist()`
    `Menge<Type>` | `getParaMenge()`
    `void` | `setName(java.lang.String name)`
    `void` | `setParalist(ParaList plist)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          private java.lang.String name

    - #### plist

          private ParaList plist

  - ### Constructor Detail

    - #### InterfaceAndParameter

          public InterfaceAndParameter(java.lang.String name)

    - #### InterfaceAndParameter

          public InterfaceAndParameter(java.lang.String name,
                                       ParaList plist)

  - ### Method Detail

    - #### getParaMenge

          public Menge<Type> getParaMenge()

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getParalist

          public ParaList getParalist()

    - #### setParalist

          public void setParalist(ParaList plist)